server:
  port: 8090
  servlet:
    context-path: /shr

spring:
  mvc:
    static-path-pattern: /static/**
    view:
      prefix: /WEB-INF/
    servlet:
      load-on-startup: 100

  thymeleaf:
    mode: HTML

  servlet:
    multipart:
      max-request-size: 100MB
      max-file-size: 100MB

  datasource:
    url: jdbc:mysql://127.0.0.1:3306/shr_server?autoReconnect=true&useUnicode=true&characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&useSSL=false&serverTimezone=CTT
    username: inori
    password: inori
    driver-class-name: com.mysql.cj.jdbc.Driver

mybatis-plus:
  mapper-locations: classpath*:/**/*Mapper.xml
  typeAliasesPackage: com.shr.model
  configuration:
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    mapUnderscoreToCamelCase: true
    cache-enabled: true